/** Copyright INRAE contributor(s) : Sandra Dérozier (11 May 2020) **/
/** sandra.derozier@inrae.fr **/
/** This software is a computer program implementing a web-tool whose purpose is to generate high-quality images for interactive visualization of hundreds of quantitative profiles along a reference genome together with various annotations in Java. **/
/** This software is governed by the CeCILL-B license under French law and abiding by the rules of distribution of free software. You can use, modify and/or redistribute the software under the terms of the CeCILL-B license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info". **/
/** As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only  limited liability. **/
/** In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean  that it is complicated to manipulate,  and  that  also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge. **/
/** Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and,  more generally, to use and operate it in the same conditions as regards security. **/

@CHARSET "UTF-8";

@def selectionBorderWidth 2px;
.cellTableWidget {
 
}

.cellTableFirstColumn {
 
}

.cellTableLastColumn {
 
}

.cellTableFooter {
  border-top: 2px solid #6f7277;
  padding: 3px 15px;
  text-align: left;
  color: #4b4a4a;
  text-shadow: #ddf 1px 1px 0;
  overflow: hidden;
}

.cellTableHeader {
  border-bottom: 2px solid #6f7277;
  padding: 3px 15px;
  text-align: center; /*left*/
  color: #516EB0; /* #4b4a4a; */
  text-shadow: #ddf 1px 1px 0;
  overflow: hidden;
}

.cellTableCell {
  padding: 2px 15px;
  overflow: hidden;
}

.cellTableFirstColumnFooter {
 
}

.cellTableFirstColumnHeader {
 
}

.cellTableLastColumnFooter {
 
}

.cellTableLastColumnHeader {
 
}

.cellTableSortableHeader {
  cursor: pointer;
  cursor: hand;
}

.cellTableSortableHeader:hover {
  color: #6c6b6b;
}

.cellTableSortedHeaderAscending {

}

.cellTableSortedHeaderDescending {

}

.cellTableEvenRow {
  background: #ffffff;
}

.cellTableEvenRowCell {
  border: selectionBorderWidth solid #ffffff;
  text-align: center;
}

.cellTableOddRow {
  background: #f3f7fb;
}

.cellTableOddRowCell {
  border: selectionBorderWidth solid #f3f7fb;
  text-align: center;
}

.cellTableHoveredRow {
  background: #eee;
}

.cellTableHoveredRowCell {
  border: selectionBorderWidth solid #eee;
}

.cellTableKeyboardSelectedRow {
  background: #ffc;
}

.cellTableKeyboardSelectedRowCell {
  border: selectionBorderWidth solid #ffc;
}

.cellTableSelectedRow {
  background: #628cd5;
  color: white;
  height: auto;
  overflow: auto;
}

.cellTableSelectedRowCell {
  border: selectionBorderWidth solid #628cd5;
}

/**
 * The keyboard selected cell is visible over selection.
 */
.cellTableKeyboardSelectedCell {
  border: selectionBorderWidth solid #d7dde8;
}

@sprite .cellTableLoading {
  gwt-image: 'cellTableLoading';
  margin: 30px;
}